### Method

# Gsk.Transform.matrix

#### Declaration [src]

    GskTransform*
    gsk_transform_matrix (
      GskTransform* next,
      const graphene_matrix_t* matrix
    )

#### Description [src]

Multiplies `next` with the given `matrix`.

#### Parameters

`matrix` | `const graphene_matrix_t*`
| the matrix to multiply `next` with
| Ownership is not transferred to the callee

#### Return value

Returns: `GskTransform`
The new transform
Ownership of the data is transferred to the caller